SQLITE3_STRICMP(3) | Library Functions Manual | SQLITE3_STRICMP(3)

# NAME

`sqlite3_stricmp`, `sqlite3_strnicmp` —
String Comparison

# SYNOPSIS

int
`sqlite3_stricmp`(const char *, const char *);

int
`sqlite3_strnicmp`(const char *, const char *, int);

# DESCRIPTION

The sqlite3_stricmp() and sqlite3_strnicmp() APIs allow applications and extensions to compare the contents of two buffers containing UTF-8 strings in a case-independent fashion, using the same definition of "case independence" that SQLite uses internally when comparing identifiers.

# SEE ALSO

sqlite3_stricmp(3)

December 19, 2018 | NetBSD 9.5